Subject: bug#50453: 27.2; Portable dumper broken on MSW

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Sep 2021 14:58:24 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 09 Sep 2021 16:07:09 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Try the old mingw.org ports from here:
> >
> >   https://sourceforge.net/projects/mingw/files/MinGW/Extension/gdb/
> 
> Thanks.  GDB 7.0 is the newest version that will run, but it complains
> that the executable is built with DWARF-4 debug information, while it
> only supports DWARF-2.  I verified that CFLAGS does contain -gdwarf-2,
> which I believe configure defaults to on MinGW.
> 
> Do you know what might be wrong here? TIA.

Yes, it's a messup of terminology: the format is DWARF-2, but its
version is 4, and I guess GDB 7.0 didn't support DWARF-2 version 4.